현재 버전

스프링 부트 최신인 2.4에도 JSP 지원 됩니다. 서블릿 표준이기 때문에 스프링이 종속성을 삭제할 수 있어도 서블릿을 쓰는 이상 직접적인 지원이 없을 뿐이지 아예 못 쓰게 하는 건 아닙니다. 아래 체크해 보시길

1. jar 프로젝트로 하면 안됩니다. 반드시 war 프로젝트여야 합니다. https://start.spring.io 에서 프로젝트 템플릿과 비교해 보시길.

2. jsp 의존성 추가하시길

3. WebFlux는 서블릿을 안 쓰기 때문에 아예 지원하지 않습니다. WebMvc여야 합니다. 확인해 보시길.


수정 이력

2020-11-23 16:09:48 에 아래 내용에서 변경 됨 #1

스프링 부트 2.4에도 JSP 지원 됩니다. 서블릿 표준이기 때문에 스프링이 종속성을 삭제할 수 있어도 서블릿을 쓰는 이상 직접적인 지원이 없을 뿐이지 아예 못 쓰게 하는 건 아닙니다. 아래 체크해 보시길

1. jar 프로젝트로 하면 안됩니다. 반드시 war 프로젝트여야 합니다. https://start.spring.io 에서 프로젝트 템플릿과 비교해 보시길.

2. jsp 의존성 추가하시길

3. WebFlux는 서블릿을 안 쓰기 때문에 아예 지원하지 않습니다. WebMvc여야 합니다. 확인해 보시길.